Skip to main content
GET
/
schools
/
search
/
school-ratings
Error
A valid request URL is required to generate request examples
{
  "schools": [
    {
      "nces_id": "<string>",
      "name": "<string>",
      "lea_id": "<string>",
      "lea_name": "<string>",
      "level": "<string>",
      "lowest_grade": 123,
      "highest_grade": 123,
      "rating": 5,
      "lat": 123,
      "lon": 123,
      "distance_meters": 123
    }
  ],
  "data_source": "NCES Common Core of Data (CCD)",
  "data_vintage": 2025,
  "additional_info": "<string>"
}

Authorizations

Authorization
string
header
required

Your access token or API key. Pass as Authorization: Bearer <token>.

Query Parameters

limit_to_district
boolean
default:true

If true, limits results to schools within the same school district as the search location. If false, searches nationwide.

level
enum<string>[]

Optional filter for school level. Valid values: 'elementary', 'middle', 'high'. You can include multiple levels separated by commas (e.g. 'elementary,middle'). If not specified, schools of all levels will be included.

Available options:
elementary,
middle,
high
limit
integer
default:10

The maximum number of closest schools to return (defaults to 10, maximum 50).

Required range: 1 <= x <= 50
lat
number
required

The latitude of the search location in decimal degrees (WGS 84). Must be between -90 and 90.

Required range: -90 <= x <= 90
lon
number
required

The longitude of the search location in decimal degrees (WGS 84). Must be between -180 and 180.

Required range: -180 <= x <= 180

Response

Successful Response

Schools matching the search criteria.

schools
SchoolSummary · object[]
required

A list of matching schools, sorted by proximity (only for location-based searches).

data_source
string
default:NCES Common Core of Data (CCD)

The authoritative source dataset for the school information.

data_vintage
integer | null
default:2025

The calendar year of the dataset used for these results.

additional_info
string | null

Any additional information or disclaimers about the search results.